from django.urls import include, path

from containers.views.employee_views import ContainersListView, ReportContainersUnpaidListView
from containers.views.barrier_views import ContainerReceive, ContainerExpedition, ContainerSearchView

urlpatterns = [
    path('search/', ContainerSearchView.as_view(), name='container_search'),
    path('employee/', ContainersListView.as_view(), name='employee_containers'),
    path('not-paid', ReportContainersUnpaidListView.as_view(), name='not_paid'),
    path('barrier/<int:pk>/', include([
        path('receive/', ContainerReceive.as_view(), name='container_receive'),
        path('expedition/', ContainerExpedition.as_view(), name='container_expedition'),
        ])),
]